import sys, arcpy

#InFeatClass = sys.argv[1]
#OutFeatClass = sys.argv[2]

InFeatClass = "S:/GIS_Public/GIS_Data/DefaultGDB/Default.gdb/tempUnitsperParcel"
OutFeatClass = "S:/GIS_Public/GIS_Data/DefaultGDB/Default.gdb/tempUnitsperParcel4"

# overwriting output is ok.
arcpy.env.overwriteOutput = True

# copy the count = 1 features to create a new feature class, saves having to do
# new feature class, copy spatial reference and fields..

arcpy.Select_analysis(InFeatClass,OutFeatClass,"UNIT_NUMBE = 1")

# setup cursor objects - search the source, isert the destination
InsCur = arcpy.InsertCursor(OutFeatClass)
SrchCur = arcpy.SearchCursor(InFeatClass,"UNIT_NUMBE > 1")

# get the list of fields to copy
FieldList = arcpy.ListFields(InFeatClass,"*")
NoCalcFields = ["FID","OBJECTID","SHAPE"]
		
for InRow in SrchCur:
    # create a range and then iterate over it
    # inserting a new row for each count
    CountRange = range(InRow.count)
    for indx in CountRange:
		newRow = InsCur.newRow() # create a new (empty) feature
		# copy values from the source to the destination
        for ThisField in FieldList:
            if ThisField.name.upper() not in NoCalcFields:
                newRow.setValue(ThisField.name,InRow.getValue(ThisField.name))
        # copy the shape
        newRow.setValue("SHAPE",InRow.getValue("SHAPE"))
        # Store it
        InsCur.insertRow(newRow)	